.slider {
    // margin-top: 13rem;
    // background:  url(/img/slider-pic.svg) ;

    // background-repeat: no-repeat;
    // background-position: center; 
    // background-size: cover;
    background: var(--color-secondary-light);
    max-width: 100.9rem;
    // max-height: 49.5rem;
    // padding-left: 4rem;
    padding: 2.5rem 7rem 2.5rem 4rem;
    border-radius: 2.5rem;
    box-shadow: 0.1rem 0.5rem 1.5rem 0.2rem #000;
    position: relative;
   
    @include respond(tab-land){
        max-width: 90rem;
    }
   
    @include respond(tab-port) {
        padding-right: 0rem;
        max-width: 70rem;
        padding-top: .5rem;
        padding-bottom: .5rem;
    }

    @include respond(phone) {
        display: flex;
        flex-direction: column;
        align-items: center;
        max-width: 50rem;
    }
  
&__base {
    margin: 0 auto;
    padding-top: 9.3rem;

    @include respond(tab-port){
        padding-top: 9rem;
    }

    @include respond(phone) {
        padding-top: 2rem;
    }
}

&__title-movie {
        margin-bottom: 1.6rem;

    span {
        @include slider-title-md;
        color: var(--color-text-primary);
    }
}
&__name-movie {
        margin-bottom: 2.4rem;
    span {
        @include silder-title-style;
        color: var(--color-text-primary);

    }
}

&__raiting-part {
    gap: 3.9rem;
    margin-bottom: 2.4rem;
}

&__raiting-movie {
        gap: 0.8rem;

    .icon{
        width: 2.3rem;
        height: 2.1rem;
        fill: #FF9500;
        
    }
}
&__vote {
        gap: 1.9rem;
    
    .point {
        font-weight: 400;
        font-size: 1.8rem;
        line-height: 2.2rem;
        color: var(--color-text-primary);
        border-right: 1px solid  var(--color-text-primary);
        padding-right: 1.8rem;
    }
    .duration {
        font-weight: 400;
        font-size: 1.8rem;
        line-height: 2.2rem;
        color: var(--color-text-primary);
    }

}

&__about-movie {
        margin-bottom: 4rem;

        @include respond(tab-port) {
            margin-bottom: 2rem;
        }
        
    span {
        font-weight: 500;
        font-size: $default-font-size;    
        line-height: 2.4rem;
        color: var(--color-text-primary);
    }
    
}

&__links {
        gap: 2rem;
        
        @include respond (phone) {
        flex-direction: column;
        gap: 0;
        }

   a {
    font-weight: 700;
    font-size: $default-font-size;
    color: var(--color-secondary);  
    line-height: 2rem;
    text-align: center;
    text-transform: uppercase;
    padding: 1.4rem 1.5rem 1.3rem 1.6rem;

    


    &:hover {
        background: #E91e63;
        border-radius: 3.9rem;
        color: #FFFFFF;
        box-shadow: 0px 0px 49px -2px rgba(0, 0, 0, 0.25041);
        transition: all 0.5s;
        backface-visibility: hidden;
    }
    
   } 
}

&__pic{
    display: flex;
    align-items: center;
    margin-right: 4.5rem;
    
}
&__img {
    width: 32rem;
    height: 44rem;
    z-index: 1;
    margin-right: -8rem;
    @include respond(tab-port) {
    margin-right:-2rem;
    width: 22rem;
    }

    @include respond (phone) {
        margin-right: -3rem;
        width: 28rem;
    }

   
}

&__arrows {
        z-index: -1;

        .slider-direct {
            width: 7rem;
            height: 7rem;    
            top: 21rem;
            stroke-width: 0.1rem;
            border-radius: 50%;
            background: var(--color-arrow-bg);
            padding: 2.5rem 1.3rem;
            position: absolute;
            fill: var( --color-arrow-fill);

            
            @include respond(phone) {
                display: none;
            }
        }
    .left {
        left: -4rem;
    }

    .right {
        right: -4rem;    
    }

}

}

.categories {
        flex-direction: column;
        margin-top: 8rem;
        gap: 4.1rem;
        align-items: center;
    
    &__heading {
        text-align: center;
    }

    &__slider {
        align-items: center;
        gap: 2.5rem;
        justify-content: center;

        @include respond (tab-land) {
            gap: .5rem;
        }
        .arrow {
                border: none;
                // fill: #FFF;
                padding: .6rem  1.2rem;
                background: var(--color-paper-light);
                border-radius: 2.5rem;
                margin-bottom: 2.5rem;

                @include respond (phone) {
                    display: none;
                }
              
            &__direct {
                fill: var(--color-arrow-fill);
            }    
            
        }

        .icon-frame {
            width: 13.2rem;
            justify-content: center;


        }
    &-topic {
            gap: 4.3rem;
            @include respond (tab-land) {
                gap: 1rem;
            }
            @include respond (tab-port) {
                display: grid;
                grid-template-columns: 1fr 1fr 1fr;
            }
            @include respond (phone) {
                gap: 0rem;
                grid-row-gap: 2rem;
            }
        .topic-link {
            flex-direction: column;
            gap: .9rem;
            align-items: center;

            
        }

        .icon-light {
            background: #ffffff;
        }

        .icon {
            border: 2px solid #8239B9;
            border-radius: 1.2rem;
            padding: 1.5rem 1.5rem;
            width: 10rem;
            height: 10rem;
           
            

            &:hover {
                box-shadow: 0px 0px 10px 5px #FFD5E3;
            }
        //gradient-border 
            // border: 2px solid transparent;
            // border-image: linear-gradient(315.16deg, #E91E63 19%, #304FFE 86.85%);
            // border-image-slice: 1;

        }

        
        .icon-dark {
            display:none;
        }

        .topics {
            font-weight: 700;
            font-size: $default-font-size;
            line-height: 1.6rem;
            text-align: center;
            text-transform: uppercase;
            color: var(--color-text-primary);
            align-items: center;
            display: flex;
        }

    }

    }

   
}
.dark-mode {
    .icon-light {
        display: none;
    }
    .icon-dark {
        display: inline-block;
        background: #424242;
    }
}
